.\" Copyright (C) 2001 Information-technology Promotion Agency (IPA)
.\" Copyright (C) 2001-2011
.\"   National Institute of Advanced Industrial Science and Technology (AIST)
.\" This file is part of the m17n library documentation.
.\" Permission is granted to copy, distribute and/or modify this document
.\" under the terms of the GNU Free Documentation License, Version 1.2 or
.\" any later version published by the Free Software Foundation; with no
.\" Invariant Section, no Front-Cover Texts,
.\" and no Back-Cover Texts.  A copy of the license is included in the
.\" appendix entitled "GNU Free Documentation License".
.TH "mdbFontEncoding" 5 "12 Jan 2011" "Version 1.6.2" "The m17n Library" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mdbFontEncoding \- Font Encoding 
.SH "DESCRIPTION"
.PP
The m17n library loads information about the encoding of each font form the m17n database by the tags <font, encoding>. The data is loaded as a plist of this format.
.PP
.PP
.nf

FONT\-ENCODING ::= PER\-FONT *

PER\-FONT ::= '(' FONT\-SPEC ENCODING [ REPERTORY ] ')'

FONT\-SPEC ::=
    '(' [ FOUNDRY FAMILY
    	  [ WEIGHT [ STYLE [ STRETCH [ ADSTYLE ]]]]]
	REGISTRY ')'

ENCODING ::= SYMBOL
.fi
.PP
.PP
\fCFONT\-SPEC\fP is to specify properties of a font. \fCFOUNDRY\fP to \fCREGISTRY\fP are symbols corresponding to Mfoundry to Mregistry property of a font. See \fBm17nFont\fP for the meaning of each property.
.PP
For instance, this \fCFONT\-SPEC\fP:
.PP
.PP
.nf

    (nil alice0\ lao iso8859\-1)
.fi
.PP
.PP
should be applied to all fonts whose family name is 'alice0 lao', and registry is 'iso8859\-1'.
.PP
\fCENCODING\fP is a symbol representing a charset. A font matching \fCFONT\-SPEC\fP supports all characters of the charset, and a character code is mapped to the corresponding glyph code of the font by this charset.
.PP
\fCREPERTORY\fP is a symbol representing a charset or 'nil'. Omitting it is the same as specifying \fCENCODING\fP as \fCREPERTORY\fP. If it is not 'nil', the charset specifies the repertory of the font, i.e, which character it supports. Otherwise, whether a specific character is supported by the font or not is asked to each font driver.
.PP
For so called Unicode fonts (registry is 'iso10646\-1'), it is recommended to specify 'nil' as \fCREPERTORY\fP because such fonts usually supports only a subset of Unicode characters. 
.SH COPYRIGHT
Copyright (C) 2001 Information\-technology Promotion Agency (IPA)
.br
Copyright (C) 2001\-2011 National Institute of Advanced Industrial Science and Technology (AIST)
.br
Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License 
<http://www.gnu.org/licenses/fdl.html>.
